use telers::types::chat_member::ChatMember;

pub fn is_admin(all_admin_members: &Vec<ChatMember>, user_id: i64) -> bool {
    //fix: moderators with non full rights can use admin commands now.
    all_admin_members
        .iter()
        .any(|admin: &ChatMember| match admin {
            ChatMember::Administrator(admin) => {
                admin.user.id == user_id
                    && admin.can_change_info
                    && admin.can_delete_messages
                    && admin.can_promote_members
                    && admin.can_restrict_members
            }
            ChatMember::Owner(owner) => owner.user.id == user_id,
            _ => false,
        })
}
