use telers::{
    event::{
        telegram::HandlerResult, 
        EventReturn
    }, 
    enums::ParseMode, 
    types::Message, 
    Bot
};

use crate::types::structs::message_sender::MessageSender;

pub async fn send_html(bot: Bot, message: Message, info_text: &str) -> HandlerResult {
    MessageSender::builder(message.chat().id())
        .text(info_text)
        .parse_mode(ParseMode::HTML)
        .build()
        .send(&bot)
        .await?;

    Ok(EventReturn::Finish)
}
